<template>
  <div class="flex items-center text-[16px] gap-4 account-block-resize">
    <nuxt-link to="/deposit" v-if="isCashPlayer && isShowDepositWithdrawal" :id="ID.DEPOSIT_HEADER_DESKTOP">
      <div class="transaction-container group" :id="ID.DEPOSIT_HEADER_DESKTOP">
        <img
          class="transaction transaction-inactive pointer-events-none"
          :src="
            getAssetImage(
              'assets/theme/light_flexible_1/desktop/images/menu/icon1.png'
            )
          "
          loading="lazy"
        />
        <img
          class="transaction transaction-active pointer-events-none"
          :src="
            getAssetImage(
              'assets/theme/light_flexible_1/desktop/images/menu/icon1_hover.png'
            )
          "
          loading="lazy"
        />
        <span class="pointer-events-none">{{ $t(`deposit${isBhinbhin}`) }}</span>
      </div>
    </nuxt-link>
    <nuxt-link to="/withdrawal" v-if="isCashPlayer && isShowDepositWithdrawal" :id="ID.WITHDRAWAL_HEADER_DESKTOP">
      <div class="transaction-container group" :id="ID.WITHDRAWAL_HEADER_DESKTOP">
        <img
          class="transaction transaction-inactive pointer-events-none"
          :src="
            getAssetImage(
              'assets/theme/light_flexible_1/desktop/images/menu/icon3.png'
            )
          "
          loading="lazy"
        />
        <img
          class="transaction transaction-active pointer-events-none"
          :src="
            getAssetImage(
              'assets/theme/light_flexible_1/desktop/images/menu/icon3_hover.png'
            )
          "
          loading="lazy"
        />
        <span class="pointer-events-none">{{ $t("withdrawal") }}</span>
      </div>
    </nuxt-link>
    <nuxt-link to="/transaction-history" :id="ID.TRANSACTION_HEADER_DESKTOP">
      <div class="transaction-container group" :id="ID.TRANSACTION_HEADER_DESKTOP">
        <img
          class="transaction transaction-inactive pointer-events-none"
          :src="
            getAssetImage(
              'assets/theme/light_flexible_1/desktop/images/menu/icon2.png'
            )
          "
          loading="lazy"
        />
        <img
          class="transaction transaction-active pointer-events-none"
          :src="
            getAssetImage(
              'assets/theme/light_flexible_1/desktop/images/menu/icon2_hover.png'
            )
          "
          loading="lazy"
        />
        <span class="pointer-events-none">{{ $t("transaction") }}</span>
      </div>
    </nuxt-link>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  setup() {
    const { getAssetImage, isBhinbhin  } = commonHelper;
    const { isShowDepositWithdrawal, isCashPlayer } = useHeaderComponent();
    return {
      getAssetImage,
      isCashPlayer,
      isShowDepositWithdrawal,
      isBhinbhin,
    };
  },
});
</script>

<style lang="postcss" scoped>
.transaction-container {
  @apply flex items-center cursor-pointer gap-1;
}

.transaction {
  @apply max-w-[35px];
}

.transaction-inactive {
  @apply block group-hover:hidden;
}

.transaction-active {
  @apply hidden group-hover:block;
}
</style>
